aboutsummaryrefslogtreecommitdiff
path: root/release/scripts
diff options
context:
space:
mode:
authorBaptiste Daroussin <bapt@FreeBSD.org>2015-02-12 15:34:16 +0000
committerBaptiste Daroussin <bapt@FreeBSD.org>2015-02-12 15:34:16 +0000
commitd8fee543ec64428c4a06901c5b2d2a065029837a (patch)
tree483f2bc51ff657dac7e91b5f17ceae8aa7438169 /release/scripts
parent25998b2aa78cc1827ed792c1a7fda495e25621f9 (diff)
parent66525b2d162286e927cb0db832627aa96e49b3e0 (diff)
downloadsrc-d8fee543ec64428c4a06901c5b2d2a065029837a.tar.gz
src-d8fee543ec64428c4a06901c5b2d2a065029837a.zip
Merge from HEAD
Notes
Notes: svn path=/projects/release-pkg/; revision=278624
Diffstat (limited to 'release/scripts')
-rwxr-xr-xrelease/scripts/make-manifest.sh1
-rwxr-xr-xrelease/scripts/mk-vmimage.sh10
2 files changed, 5 insertions, 6 deletions
diff --git a/release/scripts/make-manifest.sh b/release/scripts/make-manifest.sh
index 7f54688efce9..b21e8f59d36d 100755
--- a/release/scripts/make-manifest.sh
+++ b/release/scripts/make-manifest.sh
@@ -13,7 +13,6 @@ desc_base="Base system (MANDATORY)"
desc_kernel="Kernel (MANDATORY)"
desc_doc="Additional documentation"
doc_default=off
-desc_games="Games (fortune, etc.)"
desc_lib32="32-bit compatibility libraries"
desc_ports="Ports tree"
desc_src="System source code"
diff --git a/release/scripts/mk-vmimage.sh b/release/scripts/mk-vmimage.sh
index b6122a5de01f..16c33c8febd6 100755
--- a/release/scripts/mk-vmimage.sh
+++ b/release/scripts/mk-vmimage.sh
@@ -1,6 +1,6 @@
#!/bin/sh
#-
-# Copyright (c) 2014 The FreeBSD Foundation
+# Copyright (c) 2014, 2015 The FreeBSD Foundation
# All rights reserved.
#
# This software was developed by Glen Barber under sponsorship
@@ -40,6 +40,7 @@ usage() {
main() {
local arg
+ VMCONFIG="/dev/null"
while getopts "C:c:d:f:i:o:s:S:" arg; do
case "${arg}" in
C)
@@ -76,10 +77,9 @@ main() {
-z "${WORLDDIR}" -o \
-z "${DESTDIR}" -o \
-z "${VMSIZE}" -o \
- -z "${VMIMAGE}" -o \
- -z "${VMCONFIG}" ];
+ -z "${VMIMAGE}" ];
then
- usage
+ usage || exit 0
fi
if [ -z "${VMBUILDCONF}" ] || [ ! -e "${VMBUILDCONF}" ]; then
@@ -89,7 +89,7 @@ main() {
. "${VMBUILDCONF}"
- if [ ! -z "${VMCONFIG}" ] && [ -e "${VMCONFIG}" ]; then
+ if [ ! -z "${VMCONFIG}" ] && [ ! -c "${VMCONFIG}" ]; then
. "${VMCONFIG}"
fi